Responses
OpenAI Responses-compatible requests.
01Overview
Forwards the Responses request schema to the configured upstream and returns its response or streaming events. Input items, built-in tools, and stateful features depend on upstream support.
POST
/api/v1/responsesBase URL https://capi.minapp.xinAPI version v1Authentication Bearer YOUR_API_TOKEN
02Parameters
| Name | Type | Description |
|---|---|---|
| model* | string | Model ID that supports the Responses API. |
| input* | string | array | Prompt text or structured Responses input items supported by the selected upstream. |
| stream | boolean | Stream incremental output events. |
03Request body
JSON
{
"model": "gpt-5.6-sol",
"input": "Draft a migration plan for a Postgres schema change."
}Example
Responses
cURL
curl -X POST https://capi.minapp.xin/api/v1/responses \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"model": "gpt-5.6-sol",
"input": "Draft a migration plan"
}'HTTP 200· OK
{
"id": "resp_5c81a2",
"object": "response",
"model": "gpt-5.6-sol",
"output": [
{ "type": "message", "role": "assistant", "content": [] }
],
"usage": { "input_tokens": 24, "output_tokens": 402 }
}